/* ----- HEADER ----- */
.header {
  font-family: Arial, Helvetica, sans-serif;
  position: sticky;
  width: 100%;
  background-color: white;
  border-bottom: 1px solid var(--border-color);
  padding: 0;
  box-sizing: border-box;
  margin-top: -20px;
}

/* ----- NAVIGATION ----- */


.topnav {
  background-color: #2d2d2d;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  position: relative;
  border: 2px solid black;
  padding: 0px;
  margin: 0px;
  box-sizing: border-box;
}

.topnav a {
  display: flex;             
  text-decoration: none;
  color: white;
  padding-top: 10px;
}


.main-nav {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  gap: clamp(4px, 2vw, 40px);
  padding: 0 10px;
  box-sizing: border-box;
}

/* Abschnittslogik */
.left-section,
.middle-section,
.right-section {
  display: flex;
  align-items: center;
  flex-shrink: 1;
  flex-basis: auto;
  min-width: 0;
}

/* ----- LOGO ----- */
.poipedia-logo {
  max-width: 100px;
  height: auto;
}

/* ----- SUCHLEISTE ----- */
.middle-section {
  flex: 1;
  justify-content: center;
  gap: 5px;
  min-width: 100px;
  max-width: 100%;
}

.search-bar {
  flex: 1;
  min-width: 40px;
  padding-left: 10px;
   font-size: clamp(0.85rem, 1vw + 0.5rem, 1rem);
  border: 1px solid rgb(192, 192, 192);
  border-radius: 2px;
}

.search-button {
  background-color: var(--secondary-color);
  border: 1px solid rgb(192, 192, 192);
  width: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.search-icon {
  height: 20px;
}

/* ----- BUTTONS ----- */
.right-section {
  gap: 8px;
}

.button-container {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.contact-button {
  background-color: white;
  color: rgb(6, 95, 212);
  border: 1px solid rgb(6, 95, 212);
  border-radius: 2px;
  height: 30px;
  width: 100px;
  cursor: pointer;
  margin-right: 4px;
  margin-bottom: 4px;
  transition: background-color 0.15s, color 0.15s;
}
.contact-button:active {
  opacity: 0.7;
}

.contact-button:hover {
  background-color: rgb(41, 118, 211);
  color: white;
}

.about-us-button {
  background-color: #1d9bf0;
  color: white;
  border: none;
  border-radius: 34px;
  width: 110px;
  height: 30px;
  font-weight: bold;
  font-size: 15px;
  cursor: pointer;
  margin-right: 8px;
  margin-bottom: 4px;
  transition: box-shadow 0.25s;
}

.about-us-button:hover {
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.55);
}
